﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using HumanResources_ExtJS_ASPNETMVC.Models;

namespace HumanResources_ExtJSASPNETMVC.Models.BusinessObjects
{
    public class HumanResourcesController : Controller
    {
        DepartmentRepository _repoDepartment = new DepartmentRepository();
        EmployeeRepository _repoEmployee = new EmployeeRepository();

        //
        // GET: /HumanResources/
        public ActionResult Index()
        {
            return View();
        }

        // POST: /HumanResource/Departments
        [HttpPost]
        public ActionResult Departments()
        {
            var arrDepartment = this._repoDepartment.FindAll();
            var results = (new
            {
                departments = arrDepartment
            });
            return Json(results);
        }

        //
        // POST: /HumanResource/AddEmployee
        [HttpPost]
        public ActionResult AddEmployee(employee employee)
        {
            string strResponse = String.Empty;
            try
            {
                this._repoEmployee.Create(employee);
                strResponse = "{success: true}";
            }
            catch
            {
                strResponse = "{success: false, error: \"An error occurred\"}";
            }
            return Content(strResponse);
        }

    }
}