﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using HumanResources_ExtJS_ASPNETMVC.Models;

namespace HumanResources_ExtJSASPNETMVC.Models.BusinessObjects
{
    public class DepartmentRepository
    {
        private HumanResourcesDataContext _ctxHumanResources = new HumanResourcesDataContext();

        public IQueryable<department> FindAll()
        {
            return from dept in this._ctxHumanResources.departments
                   orderby dept.deptname
                   select dept;
        }
    }
}
